【macOS 11.0 Big Surへの対応状況について】
現在公開中のCubism Editorは、以下のバージョンではmacOS 11.0 Big Surには対応しておりません。
・Cubism Editor 4.0.07 beta 以前のバージョン
上記バージョンでは正常に動作できない可能性がありますので、OSのアップグレードをお控えいただくか、【Cubism Editor 4.0.07 正式版】をご利用いただきますようお願いいたします。
関連するお問い合わせにつきましては、この文章をもって代えさせていただきます。
Cubism SDKにつきましては、現在公開中の製品全てにおいてmacOS 11.0 Big Surには対応しておりません。
現在対応検討中となりますが、対応バージョンや時期につきましては改めてお知らせいたします。

またApple Sillicon版のmacにつきましても、全てのCubism 製品において対応しておりませんのでこちらも合わせてご了承ください。
Cubism 製品のマニュアル・チュートリアルはこちら
 
Cubism Editorマニュアル    Cubism Editorチュートリアル    Cubism SDKマニュアル    Cubism SDKチュートリアル

OpenGL : iOSのLive2DSimpleを実行するとFragment shader compile errorが発生する

編集済: 12月 2016 Cubism SDK 2.1
OpenGLのSDKに付属する「Live2DSimple」を実行すると、以下のようなエラーが発生し、モデルが描写されません。

実行環境
OS:Mac 10.12.2
Xcode Version:8.2.1
Live2D SDK Version:Live2D_SDK_OpenGL_2.1.05_1_jp
再現 iOS Version:8.4, 9.3, 10.2(Simulator) 9.2(Device)


エラー

Live2D version 2.1.05 for iPhone ES2
******************** < ERROR[ 1] @UtDebug > ********************
Fragment shader compile error!
*****************************************************************
******************** < ERROR[ 2] @UtDebug > ********************
Fragment shader compile error!
*****************************************************************
******************** < ERROR[ 3] @UtDebug > ********************
Fragment shader compile error!
*****************************************************************
******************** < ERROR[ 4] @UtDebug > ********************
Fragment shader compile error!
*****************************************************************
******************** < ERROR[ 5] @UtDebug > ********************
Fragment shader compile error!
*****************************************************************
******************** < ERROR[ 6] @UtDebug > ********************
Fragment shader compile error!
*****************************************************************
******************** < ERROR[ 7] @UtDebug > ********************
Fragment shader compile error!
*****************************************************************
******************** < ERROR[ 8] @UtDebug > ********************
Fragment shader compile error!
*****************************************************************
******************** < ERROR[ 9] @UtDebug > ********************
Fragment shader compile error!
*****************************************************************
******************** < ERROR[ 10] @UtDebug > ********************
Fragment shader compile error!
*****************************************************************
******************** < ERROR[ 11] @UtDebug > ********************
Fragment shader compile error!
*****************************************************************
******************** < ERROR[ 12] @UtDebug > ********************
Fragment shader compile error!
*****************************************************************
******************** < ERROR[ 13] @UtDebug > ********************
Fragment shader compile error!
*****************************************************************


過去のLive2D_SDK_OpenGL_2.1.04_1_jpのバージョンでは上記エラーは発生しませんでした。
お忙しいところ申し訳ございませんが、実装の方法に誤りがあるか、修正内容など、ご確認頂けますでしょうか。

よろしくお願い申し上げます。

コメント

コメントするにはサインインまたは登録して下さい。